Name:           guichan
Version:        0.4.0
Release:        2%{?dist}
Summary:        Portable C++ GUI library for games using Allegro, SDL and OpenGL

Group:          Development/Libraries
License:        BSD
URL:            http://guichan.sourceforge.net
Source0:        http://easynews.dl.sourceforge.net/sourceforge/guichan/%{name}-%{version}-src.tar.gz
Patch0:         guichan-werror-cxxflag-disable.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  allegro-devel, SDL-devel, SDL_image-devel, libGL-devel

%description
Guichan is a small, efficient C++ GUI library designed for games. It comes
with a standard set of widgets and can use several different objects for 
displaying graphics and grabbing user input.

%package devel
Summary:        Header and libraries for guichan development
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package includes header and libraries files for development using
guichan, a small and efficient C++ GUI library designed for games. This
package is needed to build programs written using guichan.

%prep
%setup -q
%patch -p1
touch aclocal.m4 Makefile.in */Makefile.in */*/Makefile.in */*/*/Makefile.in
touch include/config.hpp.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Removing Libtool archives
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libguichan.so.*
%{_libdir}/libguichan_allegro.so.*
%{_libdir}/libguichan_opengl.so.*
%{_libdir}/libguichan_sdl.so.*

%files devel
%defattr(-,root,root,-)
%doc docs/html
%{_includedir}/guichan.hpp
%{_includedir}/guichan/
%{_libdir}/libguichan.a
%{_libdir}/libguichan.so
%{_libdir}/libguichan_allegro.a
%{_libdir}/libguichan_allegro.so
%{_libdir}/libguichan_opengl.a
%{_libdir}/libguichan_opengl.so
%{_libdir}/libguichan_sdl.a
%{_libdir}/libguichan_sdl.so


%changelog
* Sat Jun 10 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-2
- Using libGL-devel instead of mesa-libGL-devel in BuildRequires
- Put documentation under -devel instead of a whole -doc
- Touch "autoxxx" files to take out autoxxx commands use in devel
- Add proper location do doc files (/usr/share/doc/xxx/html)

* Fri Jun  9 2006 Hugo Cisneiros <hugo@devin.com.br> 0.4.0-1
- Initial RPM release
